#Appication & Implications
This week is about proposing a final project, defining the scope of the project and developing a project plan.

### Page Summary
1. Scope
2. Project Plan
3. Important and interesting links
---

1. Defining the scope  
---
**About vertical farming**  
Vertical farming is the practice of food production that takes the form of vertically stacked layers and vertically inclined surfaces. The method is executed inside a controlled environment setting, usually without soil or natural light.

Also known as indoor farming, vertical farming has in recent years gained recognition as a solid method of sustainability. The system was born out of the challenges affecting the 21st century, specifically issues like food shortage, resource depletion, and overpopulation.  
Controlled Environment Agriculture (CEA) is an advanced and intensive form of hydroponically-based agriculture where plants grow within a controlled environment to optimise horticultural practices. Environmental conditions can be easily regulated to encourage the growth of plants.  

**Benefits of CEA:**  
1\. Grow more than one type of plant simultaneously without taking up much space   
2\. Less water than conventional horizontal farming  
3\. More crops in the same times (when done at scale)  
4\. Controlled environment - not season dependant  
5\. Reduced distance between food production and consumption  
6\. Closer to self-sustainability if system done correctly  

**Cons:**  
1\. Energy consumption is high  
2\. Specialised equipment  
3\. Natural pollination not possible in a controlled environment  
4\. Technology dependancy  

While to make a viable business around vertical farming has many aspects like space optimisation, demand and supply rate, etc., in this project I want to concentrate on the technical aspects and make them modifiable when scaled to make a bigger farm.  
Decisions to make successful growing:  
1\. Crop selection   
2\. Lighting selection  
3\. Data, sensors, control and software  
4\. Substrate selection  
5\. Spacing of crops  
6\. Temperature and humidity  

My project will aim to bridge the gap between large scale production and home practices. Therefore I will try to make all environmental conditions controllable by the user, so they can experiment, record and figure out what works best for different types of plants in different conditions. This machine will be a tool to prototype ideal condiitons before scaling for larger production.  

2. Project Plan
---
Parts of the machine will incorporate 2D and 3D design, additive and subtractive fabrication processes, electronics design and production, embedded microcontroller interfacing and programming, system integration and packaging.  
**CAD** - make 2D for cutting/production files & make a 3D model to plan, animate and render  
**Inputs** -  sensors to measure temperature, humidity and, switches to power and regulators to control  
**Output** -  LED growth lights, water pump and OLED screen to display conditions.   
**CAM** - laser cut all parts, use vinyl cutter for labelling something...    
**3D printing** - additive manufacture for some joints, make regulator knobs or parts of the sprinkler system...  
**Electronic design, production and embedded programming** - To make the microcontoller     
**Network and Communication** - Add WiFi module to control it remotely?  (maybe in later spirals)  
**Interface and Application programming** - To make a GUI (phone app?)  (maybe in later spirals)  

![Spiral Development Plan](./images/final-project/spiral.jpg)  

I will start by prototyping simple individual systems independently first, and then step-by-step add complexity and merge them.  
1. Arduino Uno + DHT11 serial read **>** add OLED display **>** replace Arduino Uno with ATtiny44 **>** add tiny libraries **>** add custom fonts  
2. Arduino Uno + phototransistor **>** Arduino Uno +  LED strip **>** add potentiometer to control brightness **>** replace Arduino Uno with ATtiny44 with n-mosfet **>** add tiny libraries  
3. Arduino Uno +  water pump **>** add potentiometer to control water flow **>** replace Arduino Uno with ATtiny44 with n-mosfet **>** add tiny libraries  
Like so, I eventually merge all systems into a single code and try to integrate it.  

3. Important and interesting links
---
I listed out the inputs and outputs to include in the design after studying some similar projects like [POWAR](http://www.pablozuloaga.com/POWAR.html), [Mixoponics](https://fab.academany.org/2020/labs/bahrain/students/muhja-aljaser/projects/final-project/), etc.  
A common project using DHT11 and OLED display to make a [Weather station](https://create.arduino.cc/projecthub/herolivechannel/weather-station-arduino-dht11-sensor-oled-display-2f8e50).  
And the best reference for everything from a product to a system to developing a community and a business model - [Aquapioneers: business integrating product and services for aquaponic farming](http://aquapioneers.io/) 
