Molding & Casting
=======================

I made a dodecahedron in rhino and then made it's molds.

###Process

First made a pentagon, then rotated it along its side at an angle of
116.565. Polar array on all 5 sides. Mirrored horizontally. Oriented
both pieces to match. Put it in a bounding box. Extended the middle
curves to cut the box into two. I also sweeped a square along the edges
for finishing, added on one part of mold and subtracted from the other.
Added pipes for pouring in and vent. Made another box of 146x88x36mm,
and boolean differenced the previous ones.

![](./images/mc/process.gif)

### Toolpaths

I used [FabModules](http://fabmodules.org/) to make the roughing and
finishing toolpaths.  

First I saved the mold as .stl and then in FabModules...  

* Input stl file  
* Set units/in as 25.4  
* Dpi 500  
* Calculate height map  
* Output rml (to use Roland)  
* Machine MDX-20  
* Speed 20 mm/s  
* x0, y0, z0 = 0,0,0  
* z jog = 12 mm  
* xhome, yhome, zhome = 0,0,0  
* Process wax rough cut 1/8 for roughing, wax finish cut 1/8 for finishing
* Direction climb for roughing, conventional for finishing
* Offset overlap 50% for roughing, 90% for finishing
* Tool diameter 3.175
* Type: flat end for roughing, ball end for finishing
* Calculate roughing and save
* Calculate finishing with above settings and save

Here is a gif that shows process for roughing toolpath calculation

 ![](./images/mc/roughing.gif)

This is how the final roughing toolpaths look:

 ![](./images/mc/roughing.jpg)

Here is a gif that shows the difference for finishing toolpath
calculation

 ![](./images/mc/finishing.gif)

This is how the final finishing toolpaths look like:

 ![](./images/mc/finishing.jpg)

### Milling

Will do this step when I'm back in the lab.

### Casting

Will do this step when I'm back in the lab.

### Files
* [Dodecahedron 3D model](./images/mc/dodecahedron.3dm.zip)\
* [STL file](./images/mc/dodecahedronCAM.stl.zip)\
* [roughing.rml](./images/mc/roughing.rml.zip)\
* [finishing.rml](./images/mc/finishing.rml.zip)\

Home trials
-----------

Out of the things I had at home, I chose a wooden spoon to cast in
chocolate. Here is the process:

#### Gathering ingredients:

Wooden spoon - object to cast  
Gelatine, water and honey - to make a solution to cast the spoon  
Ceramic container - to pour in the solution and fit in the spoon  
Hand mixer, weight scale, stirers, measuring cup and other containers to mix stuff  
Chocolate and butter - mix to make the final cast  

![](./images/mc/gelatin.jpg)

![](./images/mc/honey.jpg)

In a measuring cup, I first put 20g of gelatin.

![](./images/mc/20g.jpg)

Then added 100ml of water.

![](./images/mc/water.jpg)

Next, added 1 tbsp of honey for binding, and mixed it all together using
a small hand blender. There were some lumps that stuck to the blender.
In hindsight, maybe heating up the mixture would've helped disolve the
gelatine better.

![](./images/mc/mix.jpg)

I poured the mixture in a flat long container halfway, let it rest for 5
minutes and then put in the wooden spoon and poured in the rest of the
mixture. The setting time for the gelatin is 4 hours according to the
box instructions. But it started getting thicker within minutes. I taped
the top of the wooden spoon to the table so that it would'nt completely
drown into the mixture, keeping about 10% outside.

![](./images/mc/poured.jpg)

After refrigerating the mixture for 3 hours at 4 degrees, I removed the
spoon carefully using a tiny knife to scrape off the edges.
![](./images/mc/remove.jpg)

The part under the curve of the spoon hadn't solidified yet, so I put
the mold back in the fridge. ![](./images/mc/b.jpg)

It had solidified after about 1 hour.

![](./images/mc/freeze.jpg)

I removed the gelatine cast from the container, but it was very wobbly
and weak, so I put it back in before casting.
![](./images/mc/removed.jpg)

I weighed in 200g of melting chocolate and 60g of butter, and heat it up
in the microwave for 5 minutes.

![](./images/mc/chocolate.jpg)

It got burnt.

![](./images/mc/burnt.jpg)

So I made the mixture again, but this time, heated it for 30 seconds,
gave it a 30 second break, and repeated this about 6-8 times.
![](./images/mc/choco.jpg)

Since the chocolate mixture was very thick, it seemd very difficult to
pour, so I put it in a piping bag to make it easier to fill in.
![](./images/mc/piping.jpg)

I piped in the chocolate in the gelatine mold.

![](./images/mc/pipe.jpg)
![](./images/mc/choco-in.jpg)

I put this in the fridge overnight.
![](./images/mc/frozen.jpg)

I slowly tried to remove the chocolate spoon from the cast. but it broke
in the narrow part of the spoon. This is what the final chocolate spoon
looked like: ![](./images/mc/result.jpg)

It was a very messy process and result was non-accurate. For next time,
I can maybe improve by:

Heating the gelatine mixture

Using thinner chocolate mixture

Using a thicker spoon
